Summary
Gets an single automation by its id
Description
Gets an single automation by its id
Route
GET /automation_catalog/automations/:id
Roles
admin
other
readonly
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Unique id of the automation |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| document |
object |
Automation document that was requested |
Copied to Clipboard
{
"_id": "6571cbfcba57487372a21a1a",
"name": "test",
"data": {
"gbac": {
"write": [
"22141bd07708cbe8ef67f297",
"a1f5f4770c604b71660707a5",
"5f90775908274f94603e210c",
"e0f0251f0a342ad25e46b8a7",
"4280fa907ac2b1f855971191"
],
"read": [
"19a57089dd4aab368b781adb",
"76ac88f79ad62457ce9949a0"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "qui ut in",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "a36e067d8d022531acc003f3"
},
"lastModifiedBy": "sed",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "1 hour",
"migratedToOM": false,
"correspondingOMAutomationId": "c2124e6b554c6139ce222d92"
}